import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
* Clase Inicio. Corresponde a la pantalla de inicio pre-ingreso de nombre
*/
public class Inicio extends JFrame implements ActionListener{
	
/**
*  El panel que se agrega
*/
	JPanelBackground panel;
	
	JButton boton1;
	JLabel label1;
	JLabel label2;
	JLabel label3;

/** 
* Constructor Inicio
*/	
	public Inicio(){

//////////// Se setean propedades del panel ////////////////
	this.setTitle("Vamos a Jugar");
	this.setVisible(true);
	this.setBounds(50, 50, 500, 500);
	this.setExtendedState(MAXIMIZED_BOTH);
	this.setResizable(false);
	//this.setLayout(null);
	
	
	panel = new JPanelBackground();
	panel.setLayout(null);
	panel.setBackground("steampunk.jpg");
		
	
	label1 = new JLabel();
	label2 = new JLabel();
	label3 = new JLabel();
	label1.setText("Que tal, soy Mechaniografus, una antigua maquina de escribir que desea");
	label2.setText("aprender lenguaje humano, es mi deseo que me ayudes en esta tarea, tengo muchas");
	label3.setText("preguntas y quisiera que me las contestaras. Se que me ayudaras. Pulsa el boton rojo");
	label1.setBounds(450, 250, 2000, 100); //x,y,tamaņos(x,y)
	label2.setBounds(450, 270, 2000, 100); //x,y,tamaņos(x,y)
	label3.setBounds(450, 290, 2000, 100); //x,y,tamaņos(x,y)
	/////////boton de inicio
	boton1 = new JButton(new ImageIcon("b1.png"));
	boton1.setRolloverIcon(new ImageIcon("b2.png"));
	boton1.setBorderPainted(false);
	boton1.setBounds(600, 400, 180, 138); //x,y,tamaņos(x,y)

	
	this.add(panel); ////agrega el panel
	panel.add(boton1);
	panel.add(label1);
	panel.add(label2);
	panel.add(label3);
	
	
	this.boton1.addActionListener(this);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/	
	public void actionPerformed(ActionEvent arg0) {
	
		////////////////////////////////////////////////////////////////
		
		
		if(arg0.getSource().equals(boton1)){
			nombre nom = new nombre();
			this.dispose();
		}
		
	}

}